org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class CheckpointMetricsTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.CheckpointMetricsTracker

    public class CheckpointMetricsTracker
    extends Object

Tracks various checkpoint phases and stats. Assumed sequence of events:

1. Checkpoint start
2. CP Lock wait start
3. CP mark start
4. CP Lock release
5. Pages write start
6. fsync start
7. Checkpoint end

### Constructor Summary

Constructors
Constructor and Description
`CheckpointMetricsTracker()`

### Method Summary

Methods
`int` `cowPagesWritten()`
`int` `dataPagesWritten()`
`long` `fsyncDuration()`
`long` `lockHoldDuration()`
`long` `lockWaitDuration()`
`long` `markDuration()`
`void` `onCowPageWritten()`
`void` `onDataPageWritten()`
`void` `onEnd()`
`void` `onFsyncStart()`
`void` `onLockRelease()`
`void` `onLockWaitStart()`
`void` `onMarkStart()`
`void` `onPagesWriteStart()`
`long` `pagesWriteDuration()`
`long` `totalDuration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckpointMetricsTracker

    public CheckpointMetricsTracker()

### Method Detail

#### onCowPageWritten

    public void onCowPageWritten()

#### onDataPageWritten

    public void onDataPageWritten()

#### cowPagesWritten

    public int cowPagesWritten()

Returns:
  COW pages.

#### dataPagesWritten

    public int dataPagesWritten()

Returns:
  Data pages written.

#### onLockWaitStart

    public void onLockWaitStart()

#### onMarkStart

    public void onMarkStart()

#### onLockRelease

    public void onLockRelease()

#### onPagesWriteStart

    public void onPagesWriteStart()

#### onFsyncStart

    public void onFsyncStart()

#### onEnd

    public void onEnd()

#### totalDuration

    public long totalDuration()

Returns:
  Total checkpoint duration.

#### lockWaitDuration

    public long lockWaitDuration()

Returns:
  Checkpoint lock wait duration.

#### markDuration

    public long markDuration()

Returns:
  Checkpoint mark duration.

#### lockHoldDuration

    public long lockHoldDuration()

Returns:
  Checkpoint lock hold duration.

#### pagesWriteDuration

    public long pagesWriteDuration()

Returns:
  Pages write duration.

#### fsyncDuration

    public long fsyncDuration()

Returns:
  Checkpoint fsync duration.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017